Bug 86588 - Can't make security level settings stick.
Can't make security level settings stick.
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-03-25 20:41 EST by J.B. Nicholson-Owens
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-07 00:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2003-03-25 20:41:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When I run the "Security Level" GUI administration application and set the
settings as I wish (changing from High default filter set to custom set and
enabling SSH) I can't make that setting stick.  I press OK, confirm that I wish
to change the security level, and the app goes away without error but when I
start the Security Level app up again, the app tells me "High" with default
filter settings is in action.  The change I just made is not reflected in the
application.  The "High" setting I installed the machine with appears to be
"stuck".  But I know that app is essentially lying because I can SSH into my
RH8.0 machine now.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start up RH8.0 system, log in as normal (non-root) user.
2. Launch System Settings->Security Level application from Red Hat menu.
3. Change security level from "High" to "custom" and enable SSH to allow
incoming SSH clients.
4. Press OK.
5. Confirm the change in the alert box.
6. Watch the app go away without error.
7. Relaunch the security level application.

Actual Results:  All requests hang.

Expected Results:  The RH 8.0 machine should have reflected the proper setting
of the security settings.  When I changed the setting from "High" to custom
allowing SSH, I should have seen that change when I restarted the security
setting app (I also should have seen the change when I restarted the RH8.0
machine and relaunched the security setting app).

Additional info:
Comment 1 J.B. Nicholson-Owens 2003-03-25 20:53:36 EST
Please ignore the "all requests hang" part.  I was trying to express something
else but I discovered the security level application wasn't reflecting the state
I had configured.  Also, since I couldn't find the System Settings or Security
Level component, I took a guess which component to use.  Sorry for misfiling the
bug, if that's not the right place.
Comment 2 J.B. Nicholson-Owens 2003-04-07 00:32:00 EDT
This works properly in RH9.0; the security settings application appears to
reflect the changes made to the security settings.

Note You need to log in before you can comment on or make changes to this bug.